if (!defined &_MACHINE_ENDIAN_H_) {
    eval 'sub _MACHINE_ENDIAN_H_ {1;}';
    eval 'sub _QUAD_HIGHWORD {0;}';
    eval 'sub _QUAD_LOWWORD {1;}';
    eval 'sub LITTLE_ENDIAN {1234;}';
    eval 'sub BIG_ENDIAN {4321;}';
    eval 'sub PDP_ENDIAN {3412;}';
    eval 'sub BYTE_ORDER { &BIG_ENDIAN;}';
    require 'sys/cdefs.ph';
    if ((defined(&BYTE_ORDER) ? &BYTE_ORDER : 0) == (defined(&BIG_ENDIAN) ? &BIG_ENDIAN : 0) && !defined( &lint)) {
	eval 'sub ntohl {
	    local($x) = @_;
	    eval "($x)";
	}';
	eval 'sub ntohs {
	    local($x) = @_;
	    eval "($x)";
	}';
	eval 'sub htonl {
	    local($x) = @_;
	    eval "($x)";
	}';
	eval 'sub htons {
	    local($x) = @_;
	    eval "($x)";
	}';
	eval 'sub NTOHL {
	    local($x) = @_;
	    eval "( &void) ($x)";
	}';
	eval 'sub NTOHS {
	    local($x) = @_;
	    eval "( &void) ($x)";
	}';
	eval 'sub HTONL {
	    local($x) = @_;
	    eval "( &void) ($x)";
	}';
	eval 'sub HTONS {
	    local($x) = @_;
	    eval "( &void) ($x)";
	}';
    }
    else {
	eval 'sub NTOHL {
	    local($x) = @_;
	    eval "($x) =  &ntohl(( &in_addr_t)$x)";
	}';
	eval 'sub NTOHS {
	    local($x) = @_;
	    eval "($x) =  &ntohs(( &in_port_t)$x)";
	}';
	eval 'sub HTONL {
	    local($x) = @_;
	    eval "($x) =  &htonl(( &in_addr_t)$x)";
	}';
	eval 'sub HTONS {
	    local($x) = @_;
	    eval "($x) =  &htons(( &in_port_t)$x)";
	}';
    }
}
1;
